Subject: Ticket Assigned - Refund inquiries
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Sat, 30 Oct 2021 16:22:40 +0000

Hi Sohaib Ahmed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Refund inquiries Good afternoon

I made this order and it was supposed to be delivered by posta plus . The
order was made with payment cash at the delivery but I payed by a link sent
by posta plus. The payment was done but posta plus never delivered to me
the order and seems it came back return to your wearhouse. (Centrepoint).
I would like to receive the amount payed on the same acount I made the
payment .
Attached you have the transaction details , the payment I made for posta
plus and also my account number in order to receive the refund.

Phone number 51558009

Name  iuliana grigore
Bank Nbk
Account number 2010637156
Iban KW84NBOK0000000000002010637156

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3066005